Polynomial(3)

NAME
PDL::Fit::Polynomial - routines for fitting with polynomials

DESCRIPTION
This module contains routines for doing simple polynomial fits to data

SYNOPSIS
    $yfit = fitpoly1d $data;

FUNCTIONS

  fitpoly1d
Fit 1D polynomials to data using min chi^2 (least squares)

 Usage: ($yfit, [$coeffs]) = fitpoly1d [$xdata], $data, $order, [Options...]

  Signature: (x(n); y(n); [o]yfit(n); [o]coeffs(order))

Uses a standard matrix inversion method to do a least squares/min chi^2 polynomial fit to data. Order=2 is a linear fit (two parameters).

Returns the fitted data and optionally the coefficients.

One can broadcast over extra dimensions to do multiple fits (except the order can not be broadcasted over - i.e. it must be one fixed scalar number like "4").

The data is normalised internally to avoid overflows (using the mean of the abs value) which are common in large polynomial series but the returned fit, coeffs are in unnormalised units.

  $yfit = fitpoly1d $data,2; # Least-squares line fit
  ($yfit, $coeffs) = fitpoly1d $x, $y, 4; # Fit a cubic

  $fitimage = fitpoly1d $image,3  # Fit a quadratic to each row of an image

  $myfit = fitpoly1d $line, 2, {Weights => $w}; # Weighted fit

  Options:
     Weights    Weights to use in fit, e.g. 1/$sigma**2 (default=1)

BUGS
May not work too well for data with large dynamic range.

SEE ALSO
"polyfit" in PDL::Slatec

AUTHOR
This file copyright (C) 1999, Karl Glazebrook (kgb@aaoepp.aao.gov.au). All rights reserved. There is no warranty. You are allowed to redistribute this software documentation under certain conditions. For details, see the file COPYING in the PDL distribution. If this file is separated from the PDL distribution, the copyright notice should be included in the file.